from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextContent

@runtime_checkable
class XTextField(XTextContent, Protocol):
    def getPresentation(self, bShowCommand: bool) -> str: ...
